import numpy as np

def DLA_addition_routines_main(inp_dict,out_dict_field):
    DLA_prop_dict = inp_dict["DLA_prop_dict"]
    z_val         = DLA_prop_dict["z_val"]
    T_gas         = DLA_prop_dict["T_gas"]
    T_gas_arr     = inp_dict["T_gas_arr"]
    f_HI_arr      = inp_dict["f_HI_arr"]
    Delta_arr     = inp_dict["Delta_arr"]
    z_arr         = inp_dict["z_arr"]
    idx_min       = np.argmin(np.abs(z_arr - z_val))
    f_HI_arr[idx_min]  = 1.0
    Delta_arr[idx_min] = 1e4
    T_gas_arr[idx_min] = T_gas
    inp_dict.update({"f_HI_arr":f_HI_arr,"Delta_arr":Delta_arr,\
                     "T_gas_arr":T_gas_arr})
    return inp_dict
